Create a Group

Use this API to create groups that can be used to manage your fleet. Different groups have different configurations and each group has an administrator. Nesting of groups is also possible. Default Group is considered as the parent of all groups.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sample Request

https://services.azuga.com/azuga-ws-oauth/v3/groups/create.json

{
    "groupName": "Test_Group",
    "description": "This is a test group",
    "administrators": "0bfc3854-4a74-11e7-bd1f-03fd1cd47229,176c004b-530f-11ea-9b6d-c1c71f2dceeb",
    "bgColor": "#361010",
    "parentGroupName": "2175-Group",
    "configName": "testb",
    "textColor": "#b57272"
}

OR

{
    "groupName": "Test_Group11111",
    "description": "This is a test group",
    "useParentDefaultGroup": true,
    "useDefaultAdmin": true,
    "useDefaultConfig": true
}

API Response Explanation

FieldDescriptionData Type
generatedAtInMillisTime in UTC milliseconds when the API request is madeLong
dataThe object consists of metadata of the group.Object
groupIdUnique identifier representing the groupString
customerIdUnique identifier representing the customerLong
parentIdUnique identifier representing the parent groupString
parentNameName of the parent groupString
nameName of the groupString
descriptionBrief description of the groupString
userIdsUnique identifiers(in comma-separated) denoting the administrators of the groupList<String>
configIdUnique identifier of the configurationString
parentGroupFor internal useGroupLiteVO
configNameName of the configurationString
createdByUnique identifier of the user created the groupString
createdAtCreated time of the group in UTC millisecondsTimestamp
lastModifiedByThe unique identifier of the user updated the group information lastString
lastModifiedAtModified time of the group in UTC millisecondsTimestamp
deletedBoolean value representing whether the group is deleted.
True = Deleted
False = Not Deleted
boolean
deletedAtDeleted time in UTC millisecondsTimestamp
colorText color of the map iconString
bgColorBackground color of the map iconString
adminUsersFor internal useString
userListFor internal useList<JobUserVO>
configurationFor internal useConfigurationVO
ssodefaultFor internal useboolean
errorError description - if anyList<Error>
Body Params
string
required

The name of the group

string

Unique identifiers of the users who needs to be the administrators of the group. The unique identifier should be updated in comma-separated. You have an option to add a default administrator email by setting the field "useDefaultAdmin" to true.

boolean
Defaults to false

Boolean value to assign default administrator to the group.

string

The name of the parent group. You have an option to add a default parent group by setting the field "useParentDefaultGroup" to true.

boolean
Defaults to false

Boolean value to assign default parent group to the group

string

The configuration name for the group. You have an option to add a default configuration by setting the field "useDefaultConfig" to true.

boolean
Defaults to false

Boolean value to assign default configuration to the group

string

Additional description about the group

string
Defaults to #000000

The background color of the group

string
Defaults to #ffffff

The text color of the group

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json